package com.wechat.model.responseDto;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class HotelInvitationInfoResp implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userCode; // 酒店code

	private int invitedUserCode; // 被邀请用户code

	private String headPortrait; // 酒店头像

	private String jobName; // 职位名称

	private Integer jobId;// 发布的职位id

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date invitedDate; // 邀请日期

	private String hotelName; // 酒店名称

	private String invitation; // 邀请内容

	private String status; // 0.新邀请 1.已读
	
	private String hasPosted;
	
	private String foreignName; //外文名称
	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public int getInvitedUserCode() {
		return invitedUserCode;
	}

	public void setInvitedUserCode(int invitedUserCode) {
		this.invitedUserCode = invitedUserCode;
	}

	public Integer getJobId() {
		return jobId;
	}

	public void setJobId(Integer jobId) {
		this.jobId = jobId;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public Date getInvitedDate() {
		return invitedDate;
	}

	public void setInvitedDate(Date invitedDate) {
		this.invitedDate = invitedDate;
	}

	public String getHotelName() {
		return hotelName;
	}

	public void setHotelName(String hotelName) {
		this.hotelName = hotelName;
	}

	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}

	public String getInvitation() {
		return invitation;
	}

	public void setInvitation(String invitation) {
		this.invitation = invitation;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getHasPosted() {
		return hasPosted;
	}

	public void setHasPosted(String hasPosted) {
		this.hasPosted = hasPosted;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

}
